Access management

Use the API to retrieve information about users and groups, and to manage access to datasets.

List users

get

Returns all users in your organization. Users with 'Manage Users and Groups' permission receive additional account metadata.

Required Permissions

  • Global: View Users And Groups

Responses
chevron-right
200

OK

application/json

A user entity with extended profile information including organization, photo, and account metadata.

idstringRequired

The unique identifier of the user or group.

userNamestring · nullableRequired

The display name of the user or group.

firstNamestring · nullableOptional

The user's first name.

lastNamestring · nullableOptional

The user's last name.

organizationIdstring · nullableOptional

The identifier of the organization the user belongs to.

teamNamestring · nullableOptional

The name of the team the user belongs to, if set.

get
/api/Users
200

OK

List groups

get

Returns all groups in your organization. Returns an empty list in hosted environments.

Required Permissions

  • Global: View Users And Groups

Responses
chevron-right
200

OK

application/json

A group entity that can be assigned permissions on resources.

idstringRequired

The unique identifier of the user or group.

userNamestring · nullableRequired

The display name of the user or group.

contextall ofRequired

Enum representing the unique context that a Solar.EF.Models.Group belongs to. For example, Organizations may use multiple SSO providers for authentication, and Groups are only unique by name within a particular context.

Possible values:
string · enumOptional

Enum representing the unique context that a Solar.EF.Models.Group belongs to. For example, Organizations may use multiple SSO providers for authentication, and Groups are only unique by name within a particular context.

Possible values:
get
/api/Groups
200

OK

List permission sets

get

Users that have the global permission Manage Permission Sets get the full details, including the available operations.

Required Permissions

  • Global (At least 1 of the following): Manage Permission Sets, Manage User Global Permissions

Query parameters
Responses
chevron-right
200

OK

application/json

A permission set that defines a named collection of operations that can be granted to users or groups.

idstringRequired

The ID of the permission set.

typeall ofOptional

The type discriminator for Permission Sets which determines the kinds of operations available to that Permission Set.Possible values:

Possible values:
string · enumOptional

The type discriminator for Permission Sets which determines the kinds of operations available to that Permission Set.Possible values:

Possible values:
namestringRequired

The name of the permission set.

isBuiltInbooleanOptional

Whether the permission set is built-in.

isDefaultbooleanOptional

Whether the permission set is the default permission set for its type.

isDisabledbooleanOptional

Whether the permission set is disabled.

lastModifiedDateall ofOptional

The date when the permission set was last modified.

objectOptional

A point in time represented as an ISO 8601 timestamp string.

operationsinteger · int32[] · nullableOptional

The operations of the permission set. Only included for users with Manage Permission Sets permission.

createdDateall of · nullableOptional

The date when the permission set was created. Only included for users with Manage Permission Sets permission.

objectOptional

A point in time represented as an ISO 8601 timestamp string.

lastModifiedByUserIdstring · nullableOptional

The ID of the user who last modified the permission set. Only included for users with Manage Permission Sets permission.

get
/api/permission-sets

List dataset shares

get

Returns all user and group permission assignments for the specified dataset.

Path parameters
datasetIdstringRequired

The unique identifier of the dataset

Responses
chevron-right
200

OK

application/json

A model that represents a user or a group that was assigned a permission set for a dataset.

idstringOptional

The ID of the share.

permissionSetIdstringOptional

The ID of the permission set that is shared.

shareableEntityTypeall ofOptional

Indicates whether the dataset was shared with a user or with a group.Possible values:

Possible values:
string · enumOptionalPossible values:
resourceIdstringOptional

The ID of the dataset that is shared.

get
/api/dataset/{datasetId}/shares

Modify dataset shares

post

Adds or removes user and group permission assignments for the specified dataset in bulk.

Path parameters
datasetIdstringRequired

The ID of the dataset

Body

A request to modify the permission assignments for a dataset.

Responses
chevron-right
200

OK

application/json

Response for modifying the permission set assignments of a dataset.

post
/api/dataset/{datasetId}/shares/bulk

Last updated

Was this helpful?